weka.core.pmml.jaxbbindings

## Class NumericPredictor

- java.lang.Object
- - weka.core.pmml.jaxbbindings.NumericPredictor

-     public class NumericPredictor
      extends java.lang.Object

  Java class for NumericPredictor element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="NumericPredictor">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="coefficient" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="exponent" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="1" />
               <attribute name="name" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericPredictor()`
    `NumericPredictor(java.lang.String name, java.math.BigInteger exponent, double coefficient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCoefficient()` Gets the value of the coefficient property.
    `java.math.BigInteger` | `getExponent()` Gets the value of the exponent property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `void` | `setCoefficient(double value)` Sets the value of the coefficient property.
    `void` | `setExponent(java.math.BigInteger value)` Sets the value of the exponent property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericPredictor

          public NumericPredictor()

    - #### NumericPredictor

          public NumericPredictor(java.lang.String name,
                                  java.math.BigInteger exponent,
                                  double coefficient)

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getCoefficient

          public double getCoefficient()

      Gets the value of the coefficient property.

    - #### setCoefficient

          public void setCoefficient(double value)

      Sets the value of the coefficient property.

    - #### getExponent

          public java.math.BigInteger getExponent()

      Gets the value of the exponent property.
      Returns:
        possible object is `BigInteger`

    - #### setExponent

          public void setExponent(java.math.BigInteger value)

      Sets the value of the exponent property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`